searchData={"items":[{"type":"module","title":"Bzip2","doc":"","ref":"Bzip2.html"},{"type":"function","title":"Bzip2.compress!/1","doc":"Compress a stream or a string\n\nCompressing a stream,\n```elixir\nFile.stream!(\"foo.txt\", [], 100 * 1024)\n|> Bzip2.compress!()\n|> Stream.into(File.stream!(\"foo.txt.bz2\"))\n|> Stream.run()\n```\n\nCompressing a string,\n```elixir\nBzip2.compress!(\"foo\")\n|> Bzip2.decompress!()\n# \"foo\"\n```","ref":"Bzip2.html#compress!/1"},{"type":"type","title":"Bzip2.compression_state/0","doc":"","ref":"Bzip2.html#t:compression_state/0"},{"type":"function","title":"Bzip2.decompress!/1","doc":"Decompress a stream or a string\n\nDecompressing a stream,\n```elixir\nFile.stream!(\"foo.txt.bz2\", [], 100 * 1024)\n|> Bzip2.decompress!()\n|> Stream.into(File.stream!(\"foo.txt\"))\n|> Stream.run()\n```\n\nDecompressing a string,\n```elixir\nBzip2.compress!(\"foo\")\n|> Bzip2.decompress!()\n# \"foo\"\n```","ref":"Bzip2.html#decompress!/1"},{"type":"type","title":"Bzip2.decompression_state/0","doc":"","ref":"Bzip2.html#t:decompression_state/0"},{"type":"module","title":"Bzip2.Driver","doc":"","ref":"Bzip2.Driver.html"},{"type":"function","title":"Bzip2.Driver.compress_block!/2","doc":"","ref":"Bzip2.Driver.html#compress_block!/2"},{"type":"function","title":"Bzip2.Driver.compress_end!/1","doc":"","ref":"Bzip2.Driver.html#compress_end!/1"},{"type":"function","title":"Bzip2.Driver.compress_init!/0","doc":"","ref":"Bzip2.Driver.html#compress_init!/0"},{"type":"type","title":"Bzip2.Driver.compression_status/0","doc":"","ref":"Bzip2.Driver.html#t:compression_status/0"},{"type":"function","title":"Bzip2.Driver.decompress_block!/2","doc":"","ref":"Bzip2.Driver.html#decompress_block!/2"},{"type":"function","title":"Bzip2.Driver.decompress_end!/1","doc":"","ref":"Bzip2.Driver.html#decompress_end!/1"},{"type":"function","title":"Bzip2.Driver.decompress_init!/0","doc":"","ref":"Bzip2.Driver.html#decompress_init!/0"},{"type":"type","title":"Bzip2.Driver.decompression_status/0","doc":"","ref":"Bzip2.Driver.html#t:decompression_status/0"},{"type":"function","title":"Bzip2.Driver.init/0","doc":"","ref":"Bzip2.Driver.html#init/0"},{"type":"extras","title":"Changelog","doc":"# Changelog","ref":"changelog.html"},{"type":"extras","title":"1.0.0 - Changelog","doc":"Major release milestones:\n* Parallel decompression.\n\n## [Unreleased]\n\n## [0.3.0] (Mar 2025)","ref":"changelog.html#1-0-0"},{"type":"extras","title":"Fixed - Changelog","doc":"* Full compliance with bzip2 reference tests: allow trailing but not initial garbage.","ref":"changelog.html#fixed"},{"type":"extras","title":"Changed - Changelog","doc":"* Minor relaxation of dependencies\n\n## [0.2.1] (Apr 2023)","ref":"changelog.html#changed"},{"type":"extras","title":"Fixed - Changelog","doc":"* Handle full output buffer (Scott Ribe)\n\n## [0.2.0] (Sep 2022)\n\n* First working release.\n* Passing CI for elixir 1.11 and 1.14\n\n## [0.1.0] (May 2022)\n\n* Broken release, missing the Bzip2.Driver module.\n\n[Unreleased]: https://gitlab.com/adamwight/bzip2-ex/-/compare/v0.3.0...HEAD\n[0.3.0]: https://gitlab.com/adamwight/bzip2-ex/-/compare/v0.2.1...v0.3.0\n[0.2.1]: https://gitlab.com/adamwight/bzip2-ex/-/compare/v0.2.0...v0.2.1\n[0.2.0]: https://gitlab.com/adamwight/bzip2-ex/-/compare/v0.1.0...v0.2.0\n[0.1.0]: https://gitlab.com/adamwight/bzip2-ex/-/tags/v0.1.0","ref":"changelog.html#fixed"},{"type":"extras","title":"Elixir bindings for libbz2","doc":"# Elixir bindings for libbz2\n\nStreaming bzip2 codec.","ref":"readme.html"},{"type":"extras","title":"Installation - Elixir bindings for libbz2","doc":"Your system must have the development package for bzip2.  For example,\n```\napt install libbz2-dev\n```\n\nThis package can be installed by adding `bzip2` to your list of dependencies in\n`mix.exs`:\n\n```elixir\ndef deps do\n  [\n    {:bzip2, \"~> 0.3\"}\n  ]\nend\n```\n\nDocumentation can be generated with [ExDoc](https://github.com/elixir-lang/ex_doc)\nand published on [HexDocs](https://hexdocs.pm).\n\nPublished docs are online at  .","ref":"readme.html#installation"},{"type":"extras","title":"Usage - Elixir bindings for libbz2","doc":"Compress or decompress a stream:\n\n```elixir\nFile.stream!(\"/dev/zero\", [], 1024 * 1024)\n|> Stream.take(10)\n|> Bzip2.compress!()\n|> Enum.into(\"\")\n|> byte_size()\n# 450\n```\n\nOr work on a fixed block of data:\n\n```elixir\niex> Bzip2.compress!(\"sample string\") |> Bzip2.decompress!()\n\"sample string\"\n```","ref":"readme.html#usage"},{"type":"extras","title":"Debugging - Elixir bindings for libbz2","doc":"This repo includs some basic tests:\n```\nmix test\n```\n\nYou can also run against the bzip2 reference tests,\n\n```\ngit clone https://sourceware.org/git/bzip2-tests.git\ncd bzip2-ex\nmix run test-reference-suite.exs ../bzip2-tests\n```\n\nTo get verbose output from the NIF, uncomment this line in `bzip2.c`:\n```c\n#define BZIP2_EX_DEBUG\n```","ref":"readme.html#debugging"},{"type":"extras","title":"Known bugs and compatibility - Elixir bindings for libbz2","doc":"* Only builds on linux-x86_64, please send patches to port to other platforms!\n* Fully compliant with bzip2 reference tests.","ref":"readme.html#known-bugs-and-compatibility"}],"proglang":"elixir","content_type":"text/markdown","producer":{"name":"ex_doc","version":"0.37.3"}}